Buster migration conflict php package with sury

, ,

My YunoHost server

Hardware: Serveur perso AMD64
YunoHost version: yunohost: repo: stable version: 4.0.8 yunohost-admin: repo: stable version: 4.0.4 moulinette: repo: stable version: 4.0.3 ssowat: repo: stable version: 4.0.4.1
I have access to my server : Through SSH | through the webadmin | direct access via keyboard / screen | … : all of this
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : yes got sury repo installed

Description of my issue

after update to bsuter try to install roundcube

2020-11-02 16:38:06,529: DEBUG - + DEBIAN_FRONTEND=noninteractive
2020-11-02 16:38:06,530: DEBUG - + apt-get --assume-yes --quiet -o=Acquire::Retries=3 -o=Dpkg::Use-Pty=0 --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install --fix-broken
2020-11-02 16:38:07,432: DEBUG - Reading package lists...
2020-11-02 16:38:07,934: DEBUG - Building dependency tree...
2020-11-02 16:38:07,934: DEBUG - Reading state information...
2020-11-02 16:38:08,436: DEBUG - Correcting dependencies... Done
2020-11-02 16:38:09,138: DEBUG - The following packages will be REMOVED:
2020-11-02 16:38:09,138: DEBUG -   roundcube-ynh-deps
2020-11-02 16:38:09,239: DEBUG - 0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
2020-11-02 16:38:09,239: WARNING - E: Packages need to be removed but remove is disabled.
2020-11-02 16:38:09,241: DEBUG - ++ cat /tmp/tmp.1TVB83BOeN/dpkg_log
2020-11-02 16:38:09,241: DEBUG - ++ grep -oP '(?<=-ynh-deps depends on ).*(?=; however)'
2020-11-02 16:38:09,242: DEBUG - ++ tr '\n' ' '
2020-11-02 16:38:09,242: DEBUG - + local 'problematic_dependencies=php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip '
2020-11-02 16:38:09,244: DEBUG - + [[ -n php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip  ]]
2020-11-02 16:38:09,245: DEBUG - + ynh_package_install php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip --dry-run
2020-11-02 16:38:09,245: DEBUG - + ynh_apt --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip --dry-run
2020-11-02 16:38:09,245: DEBUG - + ynh_wait_dpkg_free
2020-11-02 16:38:09,246: DEBUG - + grep -v 'fix-broken\|Reading state info'
2020-11-02 16:38:09,246: DEBUG - + sed --quiet '/Reading state info/,$p'
2020-11-02 16:38:09,547: DEBUG - + return 0
2020-11-02 16:38:09,548: DEBUG - + LC_ALL=C
2020-11-02 16:38:09,548: DEBUG - + DEBIAN_FRONTEND=noninteractive
2020-11-02 16:38:09,548: DEBUG - + apt-get --assume-yes --quiet -o=Acquire::Retries=3 -o=Dpkg::Use-Pty=0 --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip --dry-run
2020-11-02 16:38:10,551: DEBUG - + ynh_die '--message=Unable to install dependencies'
2020-11-02 16:38:10,551: WARNING - The following packages have unmet dependencies:
2020-11-02 16:38:10,552: WARNING -  php-zip : Depends: php7.3-zip but it is not going to be installed
2020-11-02 16:38:10,655: DEBUG - + ret_code=1
2020-11-02 16:38:10,655: WARNING - Unable to install dependencies
2020-11-02 16:38:10,657: DEBUG - + echo 'Unable to install dependencies'
2020-11-02 16:38:10,657: DEBUG - + exit 1
2020-11-02 16:38:10,658: DEBUG - + ynh_exit_properly
2020-11-02 16:38:10,658: DEBUG - + local exit_code=1
2020-11-02 16:38:10,659: DEBUG - + '[' 1 -eq 0 ']'
2020-11-02 16:38:10,660: DEBUG - + trap '' EXIT
2020-11-02 16:38:10,660: DEBUG - + set +o errexit
2020-11-02 16:38:10,660: DEBUG - + set +o nounset
2020-11-02 16:38:10,661: DEBUG - + sleep 0.5
2020-11-02 16:38:11,189: DEBUG - + type -t ynh_clean_setup
2020-11-02 16:38:11,189: DEBUG - + exit 1
2020-11-02 16:38:11,237: ERROR - Could not install roundcube: An error occurred inside the app installation script

the error when I try to install manually php7.3-zip

sudo apt install php7.3-zip
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 php7.3-zip : Dépend: php7.3-common (= 7.3.19-1~deb10u1) mais 7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
sudo dpkg -l php7.3* | grep '^ii'
ii  php7.3           7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 all          server-side, HTML-embedded scripting language (metapackage)
ii  php7.3-cli       7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        command-line interpreter for the PHP scripting language
ii  php7.3-common    7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        documentation, examples and common module for PHP
ii  php7.3-curl      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        CURL module for PHP
ii  php7.3-fpm       7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        server-side, HTML-embedded scripting language (FPM-CGI binary)
ii  php7.3-gd        7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        GD module for PHP
ii  php7.3-intl      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        Internationalisation module for PHP
ii  php7.3-json      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        JSON module for PHP
ii  php7.3-ldap      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        LDAP module for PHP
ii  php7.3-mbstring  7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        MBSTRING module for PHP
ii  php7.3-mysql     7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        MySQL module for PHP
ii  php7.3-opcache   7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        Zend OpCache module for PHP
ii  php7.3-readline  7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        readline module for PHP
ii  php7.3-xml       7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        DOM, SimpleXML, WDDX, XML, and XSL module for PHP

Mon serveur YunoHost

Hardware: Serveur perso AMD64
YunoHost version: yunohost: repo: stable version: 4.0.8 yunohost-admin: repo: stable version: 4.0.4 moulinette: repo: stable version: 4.0.3 ssowat: repo: stable version: 4.0.4.1
I have access to my server : Through SSH | through the webadmin | direct access via keyboard / screen | … : all of this
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : yes got sury repo installed

Description du problème

Apres upgrade vers buster, j’essaye d’installer roundube
erreur lors de l’install

2020-11-02 16:38:06,529: DEBUG - + DEBIAN_FRONTEND=noninteractive
2020-11-02 16:38:06,530: DEBUG - + apt-get --assume-yes --quiet -o=Acquire::Retries=3 -o=Dpkg::Use-Pty=0 --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install --fix-broken
2020-11-02 16:38:07,432: DEBUG - Reading package lists...
2020-11-02 16:38:07,934: DEBUG - Building dependency tree...
2020-11-02 16:38:07,934: DEBUG - Reading state information...
2020-11-02 16:38:08,436: DEBUG - Correcting dependencies... Done
2020-11-02 16:38:09,138: DEBUG - The following packages will be REMOVED:
2020-11-02 16:38:09,138: DEBUG -   roundcube-ynh-deps
2020-11-02 16:38:09,239: DEBUG - 0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
2020-11-02 16:38:09,239: WARNING - E: Packages need to be removed but remove is disabled.
2020-11-02 16:38:09,241: DEBUG - ++ cat /tmp/tmp.1TVB83BOeN/dpkg_log
2020-11-02 16:38:09,241: DEBUG - ++ grep -oP '(?<=-ynh-deps depends on ).*(?=; however)'
2020-11-02 16:38:09,242: DEBUG - ++ tr '\n' ' '
2020-11-02 16:38:09,242: DEBUG - + local 'problematic_dependencies=php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip '
2020-11-02 16:38:09,244: DEBUG - + [[ -n php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip  ]]
2020-11-02 16:38:09,245: DEBUG - + ynh_package_install php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip --dry-run
2020-11-02 16:38:09,245: DEBUG - + ynh_apt --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip --dry-run
2020-11-02 16:38:09,245: DEBUG - + ynh_wait_dpkg_free
2020-11-02 16:38:09,246: DEBUG - + grep -v 'fix-broken\|Reading state info'
2020-11-02 16:38:09,246: DEBUG - + sed --quiet '/Reading state info/,$p'
2020-11-02 16:38:09,547: DEBUG - + return 0
2020-11-02 16:38:09,548: DEBUG - + LC_ALL=C
2020-11-02 16:38:09,548: DEBUG - + DEBIAN_FRONTEND=noninteractive
2020-11-02 16:38:09,548: DEBUG - + apt-get --assume-yes --quiet -o=Acquire::Retries=3 -o=Dpkg::Use-Pty=0 --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install php-auth-sasl php-mail-mime php-patchwork-utf8 php-net-smtp php-net-socket php-zip --dry-run
2020-11-02 16:38:10,551: DEBUG - + ynh_die '--message=Unable to install dependencies'
2020-11-02 16:38:10,551: WARNING - The following packages have unmet dependencies:
2020-11-02 16:38:10,552: WARNING -  php-zip : Depends: php7.3-zip but it is not going to be installed
2020-11-02 16:38:10,655: DEBUG - + ret_code=1
2020-11-02 16:38:10,655: WARNING - Unable to install dependencies
2020-11-02 16:38:10,657: DEBUG - + echo 'Unable to install dependencies'
2020-11-02 16:38:10,657: DEBUG - + exit 1
2020-11-02 16:38:10,658: DEBUG - + ynh_exit_properly
2020-11-02 16:38:10,658: DEBUG - + local exit_code=1
2020-11-02 16:38:10,659: DEBUG - + '[' 1 -eq 0 ']'
2020-11-02 16:38:10,660: DEBUG - + trap '' EXIT
2020-11-02 16:38:10,660: DEBUG - + set +o errexit
2020-11-02 16:38:10,660: DEBUG - + set +o nounset
2020-11-02 16:38:10,661: DEBUG - + sleep 0.5
2020-11-02 16:38:11,189: DEBUG - + type -t ynh_clean_setup
2020-11-02 16:38:11,189: DEBUG - + exit 1
2020-11-02 16:38:11,237: ERROR - Could not install roundcube: An error occurred inside the app installation script

the error when I try to install manually php7.3-zip

sudo apt install php7.3-zip
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 php7.3-zip : Dépend: php7.3-common (= 7.3.19-1~deb10u1) mais 7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
sudo dpkg -l php7.3* | grep '^ii'
ii  php7.3           7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 all          server-side, HTML-embedded scripting language (metapackage)
ii  php7.3-cli       7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        command-line interpreter for the PHP scripting language
ii  php7.3-common    7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        documentation, examples and common module for PHP
ii  php7.3-curl      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        CURL module for PHP
ii  php7.3-fpm       7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        server-side, HTML-embedded scripting language (FPM-CGI binary)
ii  php7.3-gd        7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        GD module for PHP
ii  php7.3-intl      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        Internationalisation module for PHP
ii  php7.3-json      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        JSON module for PHP
ii  php7.3-ldap      7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        LDAP module for PHP
ii  php7.3-mbstring  7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        MBSTRING module for PHP
ii  php7.3-mysql     7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        MySQL module for PHP
ii  php7.3-opcache   7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        Zend OpCache module for PHP
ii  php7.3-readline  7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        readline module for PHP
ii  php7.3-xml       7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 amd64        DOM, SimpleXML, WDDX, XML, and XSL module for PHP

Hi there,

can you share the output of

apt policy php7.3-zip

(The issue is fixable but first I’d like to understand what exactly’s happening)

hello Aleks
thanks for your reply

apt policy php7.3-zip
php7.3-zip:
  Installé : (aucun)
  Candidat : 7.3.19-1~deb10u1
 Table de version :
     7.3.23-4+0~20201018.71+debian10~1.gbpfc8934 200
        200 https://packages.sury.org/php buster/main amd64 Packages
     7.3.19-1~deb10u1 500
        500 http://ftp.debian.org/debian buster/main amd64 Packages
        500 http://security.debian.org/debian-security buster/updates/main amd64 Packages

that’s dump debian repo have got a higher priority …

And what does this returns : cat /etc/apt/preferences.d/* | grep zip -C3 ?

cat /etc/apt/preferences.d/* | grep zip -C3
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-zip
Pin: origin "packages.sury.org" 
Pin-Priority: -1

uuuh wokay idk let’s look at cat /etc/apt/preferences.d/* as a whole …

cat /etc/apt/preferences.d/* 

Package: php
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-fpm
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-mysql
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-xml
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-zip
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-mbstring
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-ldap
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-gd
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-curl
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-bz2
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-json
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-sqlite3
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: php-intl
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: openssl
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: libssl1.1
Pin: origin "packages.sury.org" 
Pin-Priority: -1

Package: libssl-dev
Pin: origin "packages.sury.org" 
Pin-Priority: -1
Package: *
Pin: origin "packages.sury.org"
Pin-Priority: 200

Package: php7.0*
Pin: origin "packages.sury.org"
Pin-Priority: 600

Mouarf bon, pas sur de comprendre pourquoi il veut pas installer la dépendance de sury par défaut … Du coup je tenterais un

apt install php7.3-zip=7.3.23-4+0~20201018.71+debian10~1.gbpfc8934
1 Like

Merci j’ai pu avancer dans l’installation, cependant j’ai toujours un bug lors de l’install

2020-11-02 19:23:41,369: DEBUG - + declare -Ar args_array
2020-11-02 19:23:41,470: DEBUG - + workdir=/var/www/roundcube
2020-11-02 19:23:41,471: DEBUG - + phpversion=7.3
2020-11-02 19:23:41,471: DEBUG - + COMPOSER_HOME=/var/www/roundcube/.composer
2020-11-02 19:23:41,471: DEBUG - + php7.3 /var/www/roundcube/composer.phar require roundcube/carddav 3.0.3 -d /var/www/roundcube --quiet --no-interaction
2020-11-02 19:23:45,080: DEBUG - + carddav_tmp_config=../conf/carddav.config.inc.php
2020-11-02 19:23:45,081: DEBUG - + carddav_server=0
2020-11-02 19:23:45,081: DEBUG - + for carddav_app in "owncloud" "nextcloud" "baikal"
2020-11-02 19:23:45,081: DEBUG - ++ yunohost app list --installed -f owncloud --output-as json
2020-11-02 19:23:45,082: DEBUG - ++ grep -Po '"id":[ ]?"\K.*?(?=")'
2020-11-02 19:23:45,082: DEBUG - ++ head -1
2020-11-02 19:23:45,583: WARNING - Argument --installed ain't needed anymore when using 'yunohost app list'. It directly returns the list of installed apps..
2020-11-02 19:23:45,584: WARNING - Using -f $appname in 'yunohost app list' is deprecated. Just use 'yunohost app list | grep -q 'id: $appname' to check a specific app is installed
2020-11-02 19:23:45,685: DEBUG - + carddav_app_id=
2020-11-02 19:23:45,686: DEBUG - + '[' -n '' ']'
2020-11-02 19:23:45,686: DEBUG - + for carddav_app in "owncloud" "nextcloud" "baikal"
2020-11-02 19:23:45,686: DEBUG - ++ yunohost app list --installed -f nextcloud --output-as json
2020-11-02 19:23:45,687: DEBUG - ++ grep -Po '"id":[ ]?"\K.*?(?=")'
2020-11-02 19:23:45,687: DEBUG - ++ head -1
2020-11-02 19:23:46,189: WARNING - Argument --installed ain't needed anymore when using 'yunohost app list'. It directly returns the list of installed apps..
2020-11-02 19:23:46,190: WARNING - Using -f $appname in 'yunohost app list' is deprecated. Just use 'yunohost app list | grep -q 'id: $appname' to check a specific app is installed
2020-11-02 19:23:46,292: DEBUG - + carddav_app_id=
2020-11-02 19:23:46,293: DEBUG - + '[' -n '' ']'
2020-11-02 19:23:46,293: DEBUG - + for carddav_app in "owncloud" "nextcloud" "baikal"
2020-11-02 19:23:46,293: DEBUG - ++ yunohost app list --installed -f baikal --output-as json
2020-11-02 19:23:46,293: DEBUG - ++ grep -Po '"id":[ ]?"\K.*?(?=")'
2020-11-02 19:23:46,294: DEBUG - ++ head -1
2020-11-02 19:23:46,795: DEBUG - + carddav_app_id=
2020-11-02 19:23:46,796: WARNING - Argument --installed ain't needed anymore when using 'yunohost app list'. It directly returns the list of installed apps..
2020-11-02 19:23:46,798: DEBUG - + '[' -n '' ']'
2020-11-02 19:23:46,798: WARNING - Using -f $appname in 'yunohost app list' is deprecated. Just use 'yunohost app list | grep -q 'id: $appname' to check a specific app is installed
2020-11-02 19:23:46,799: DEBUG - + cp ../conf/carddav.config.inc.php /var/www/roundcube/plugins/carddav/config.inc.php
2020-11-02 19:23:46,800: WARNING - cp: impossible de créer le fichier standard '/var/www/roundcube/plugins/carddav/config.inc.php': Aucun fichier ou dossier de ce type
2020-11-02 19:23:46,801: DEBUG - + ynh_exit_properly
2020-11-02 19:23:46,801: DEBUG - + local exit_code=1
2020-11-02 19:23:46,802: DEBUG - + '[' 1 -eq 0 ']'
2020-11-02 19:23:46,802: DEBUG - + trap '' EXIT
2020-11-02 19:23:46,804: DEBUG - + set +o errexit
2020-11-02 19:23:46,804: DEBUG - + set +o nounset
2020-11-02 19:23:46,804: DEBUG - + sleep 0.5
2020-11-02 19:23:47,307: DEBUG - + type -t ynh_clean_setup
2020-11-02 19:23:47,308: DEBUG - + exit 1
2020-11-02 19:23:47,366: ERROR - Could not install roundcube: An error occurred inside the app installation script

je pense savoir pourquoi je n’ai pas de baikal, owncloud ou nextcloud d’installer
EDIT: c’était bien ça, sans le plugin c’est passé.
Merci Aleks

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.